Skip to main content
GET
/
custom_attributes
List custom attribute definitions
curl --request GET \
  --url https://api.zenskar.com/custom_attributes \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>'
{
  "results": [
    "<unknown>"
  ],
  "next": "V2VsbCBhcmV1IGN1cmlvdxM=",
  "previous": "GmBsbCBhcmV1IGN1cmlvdxM=",
  "total_count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Query Parameters

module
enum<string> | null
Available options:
customers,
products,
contracts,
plans,
invoices,
payments
business_entity_id
string<uuid> | null
search
string | null
Example:

"name=john"

cursor
string | null

The cursor indicating a unique set of results - this should be auto generated and you get it from the next and previous fields of the response

Example:

"V2VsbCBhcmV1IGN1cmlvdxM="

limit
integer
default:10

The number of results to return - defaults to 10

Required range: 1 <= x <= 9999
Example:

10

order
string | null
default:-created_at

Sort by field with - prefix for descending (e.g. -created_at, +display_name). Valid fields: id, attribute_key_name, display_name, data_type, is_tag, is_enabled, is_required, sort_order, created_at, updated_at

is_tag
boolean | null
data_type
enum<string> | null
Available options:
STRING,
INTEGER,
FLOAT,
BOOLEAN,
LIST_STRING,
ENUM,
JSON,
DATE
attribute_key_name
string | null
display_name__ilike
string | null
is_enabled
boolean | null

Response

Successful Response

results: The results of the query of size limit next: The cursor to use to get the next set of results previous: The cursor to use to get the previous set of results

results
any[]
required

The results for the current page

next
string | null

The cursor for the next page of results

Example:

"V2VsbCBhcmV1IGN1cmlvdxM="

previous
string | null

The cursor for the previous page of results

Example:

"GmBsbCBhcmV1IGN1cmlvdxM="

total_count
integer | null

The total count of rows